using System;
using System.Data;
using System.Runtime.Serialization;
using System.ServiceModel;

using BlobWCFService_DataContracts;

namespace BlobWCFServiceService
{
	public partial class BlobWCFServiceService : IBlobWCFService
	{
		// This class contains the actual Plex marshalling code.
		private BlobWCFServiceMarshaller m_BlobWCFService = new BlobWCFServiceMarshaller();
		public AA3F_Output BlockFetch(AA3F_Input input) 
		{
			return m_BlobWCFService.BlockFetch(input);
		}

		public AA4F_Output CheckRow(AA4F_Input input) 
		{
			return m_BlobWCFService.CheckRow(input);
		}

		public AA8F_Output DeleteRow(AA8F_Input input) 
		{
			return m_BlobWCFService.DeleteRow(input);
		}

		public AA9F_Output InsertRow(AA9F_Input input) 
		{
			return m_BlobWCFService.InsertRow(input);
		}

		public AA5F_Output SingleFetch(AA5F_Input input) 
		{
			return m_BlobWCFService.SingleFetch(input);
		}

		public AAaF_Output UpdateRow(AAaF_Input input) 
		{
			return m_BlobWCFService.UpdateRow(input);
		}

	}
}