using System;
using System.Data;
using System.Runtime.Serialization;
using System.ServiceModel;

using ObRun.ObServiceSupport; 

using BlobWCFService_DataContracts;

namespace BlobWCFServiceService
{
	[ServiceContract(SessionMode = SessionMode.Required)]
	public interface IBlobWCFService
	{
		[OperationContract(Name="BlockFetch")]
        [FaultContract(typeof(PlexRuntimeException))]
		AA3F_Output BlockFetch(AA3F_Input input);

		[OperationContract(Name="CheckRow")]
        [FaultContract(typeof(PlexRuntimeException))]
		AA4F_Output CheckRow(AA4F_Input input);

		[OperationContract(Name="DeleteRow")]
        [FaultContract(typeof(PlexRuntimeException))]
		AA8F_Output DeleteRow(AA8F_Input input);

		[OperationContract(Name="InsertRow")]
        [FaultContract(typeof(PlexRuntimeException))]
		AA9F_Output InsertRow(AA9F_Input input);

		[OperationContract(Name="SingleFetch")]
        [FaultContract(typeof(PlexRuntimeException))]
		AA5F_Output SingleFetch(AA5F_Input input);

		[OperationContract(Name="UpdateRow")]
        [FaultContract(typeof(PlexRuntimeException))]
		AAaF_Output UpdateRow(AAaF_Input input);

	}
}